Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.ts.lib.porting
Interface DeploymentInfo

All Superinterfaces:
  java.io.Serializable

    public interface DeploymentInfo

extends java.io.Serializable

Provides all information required to deploy an application on a server. Much of this information is extracted from runtime xml files. The following information is provided:

- EJB Jar info
- Web Resources - Display name, context root, resource references and ejb references for each web resource in this ear.
- EJB Resources - Name, JNDI name, resource references, ejb references, and CMP information for each ejb resource in this ear.
- Resource References - For each resource reference, the JNDI name, default resource principal name and password, and any mail configuration information is provided.
- EJB References - For each EJB reference, the EJB name and its corresponding JNDI name is provided.

See: javaee.home.ri/lib/dtds/sun-application_5_0-0.dtd javaee.home.ri/lib/dtds/sun-application-client_5_0-0.dtd javaee.home.ri/lib/dtds/sun-ejb-jar_3_0-0.dtd javaee.home.ri/lib/dtds/sun-web-app_2_5-0.dtd for more and updated information.

Nested Class Summary
`static class` | `DeploymentInfo.ParseException` Exception thrown if an error occured parsing the XML

Method Summary
`java.util.Map` | `getAppClientRuntimeData()` Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.appclient.SunApplicationClient interface.
`java.util.List` | `getAppClientRuntimeDDs()` Returns a List of concrete implementations of the com.sun.ts.lib.porting.appclient.SunApplicationClient interface.
`java.util.Map` | `getAppRuntimeData()` Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.app.SunApplication interface.
`java.util.List` | `getAppRuntimeDDs()` Returns a List of concrete implementations of the com.sun.ts.lib.porting.app.SunApplication interface.
`java.lang.String` | `getContentAsXml()` Returns a String that conatains the contents of all the runtime XML files.
`java.lang.String` | `getEarFile()` Returns the ear file to deploy
`java.util.Map` | `getEjbRuntimeData()` Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.ejb.SunEjbJar interface.
`java.util.List` | `getEjbRuntimeDDs()` Returns a List of concrete implementations of the com.sun.ts.lib.porting.ejb.SunEjbJar interface.
`DeploymentInfo[]` | `getPreviousInfos()`
`java.lang.String` | `getProperty(java.lang.String key)` Returns the value of the given property.
`java.lang.String[]` | `getRuntimeFiles()` Returns the list of runtime files to be deployed
`java.util.Map` | `getWebRuntimeData()` Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.web.SunWebApp interface.
`java.util.List` | `getWebRuntimeDDs()` Returns a List of concrete implementations of the com.sun.ts.lib.porting.web.SunWebApp interface.
`void` | `setPreviousInfos(DeploymentInfo[] infos)` Sets/gets an array of deploymentInfo objects from previously deployed apps in the currrent directory along with all common apps
`void` | `setProperty(java.lang.String key, java.lang.String value)` Sets the value of the given property.

Method Detail

### setProperty

    void setProperty(java.lang.String key,
                     java.lang.String value)

  Sets the value of the given property. This method should be temporary, until all important information can be provided by the API.

### getProperty

    java.lang.String getProperty(java.lang.String key)

  Returns the value of the given property. This method should be temporary, until all important information can be provided by the API.

### setPreviousInfos

    void setPreviousInfos(DeploymentInfo[] infos)

  Sets/gets an array of deploymentInfo objects from previously deployed apps in the currrent directory along with all common apps

### getPreviousInfos

    DeploymentInfo[] getPreviousInfos()

### getEarFile

    java.lang.String getEarFile()

  Returns the ear file to deploy

### getRuntimeFiles

    java.lang.String[] getRuntimeFiles()

  Returns the list of runtime files to be deployed

### getEjbRuntimeData

    java.util.Map getEjbRuntimeData()

  Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.ejb.SunEjbJar interface.

### getWebRuntimeData

    java.util.Map getWebRuntimeData()

  Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.web.SunWebApp interface.

### getAppRuntimeData

    java.util.Map getAppRuntimeData()

  Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.app.SunApplication interface.

### getAppClientRuntimeData

    java.util.Map getAppClientRuntimeData()

  Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.appclient.SunApplicationClient interface.

### getAppClientRuntimeDDs

    java.util.List getAppClientRuntimeDDs()

  Returns a List of concrete implementations of the com.sun.ts.lib.porting.appclient.SunApplicationClient interface.

### getAppRuntimeDDs

    java.util.List getAppRuntimeDDs()

  Returns a List of concrete implementations of the com.sun.ts.lib.porting.app.SunApplication interface.

### getWebRuntimeDDs

    java.util.List getWebRuntimeDDs()

  Returns a List of concrete implementations of the com.sun.ts.lib.porting.web.SunWebApp interface.

### getEjbRuntimeDDs

    java.util.List getEjbRuntimeDDs()

  Returns a List of concrete implementations of the com.sun.ts.lib.porting.ejb.SunEjbJar interface.

### getContentAsXml

    java.lang.String getContentAsXml()

  Returns a String that conatains the contents of all the runtime XML files.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD